extends Node


func _process(_delta):
	var state_nodes = get_tree().get_nodes_in_group("debug_state")
	for node in state_nodes:
		var label
		if !node.has_node("debug_state_label"):
			label = Label.new()
		else:
			label = node.get_node("debug_state_label")
		label.name = "debug_state_label"
		label.text = node.get_node("StateMachine").state.name
		if !node.has_node("debug_state_label"):
			node.add_child(label)
	if Input.is_action_just_pressed("debug_respawn"):
		for node in get_tree().get_nodes_in_group("player"):
			node.queue_free()
		var p = preload("res://player/Player.tscn")
		var i_p = p.instantiate()
		get_node("/root").add_child(i_p)
